<html>
<head>
<title>OgreAnimationTrack.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreAnimationTrack.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSimpleSpline_8h_source.html">OgreSimpleSpline.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRotationalSpline_8h_source.html">OgreRotationalSpline.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreKeyFrame_8h_source.html">OgreKeyFrame.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>&quot;</code><br/>
</div>
<p><a href="OgreAnimationTrack_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html">Ogre::TimeIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Time index object used to search keyframe at the given position.  <a href="classOgre_1_1TimeIndex.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A 'track' in an animation sequence, i.e.  <a href="classOgre_1_1AnimationTrack.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html">Ogre::AnimationTrack::Listener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html" title="Listener allowing you to override certain behaviour of a track, for example to drive animation proced...">Listener</a> allowing you to override certain behaviour of a track, for example to drive animation procedurally.  <a href="classOgre_1_1AnimationTrack_1_1Listener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericAnimationTrack.html">Ogre::NumericAnimationTrack</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialised <a class="el" href="classOgre_1_1AnimationTrack.html" title="A &#39;track&#39; in an animation sequence, i.e.">AnimationTrack</a> for dealing with generic animable values.  <a href="classOgre_1_1NumericAnimationTrack.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialised <a class="el" href="classOgre_1_1AnimationTrack.html" title="A &#39;track&#39; in an animation sequence, i.e.">AnimationTrack</a> for dealing with node transforms.  <a href="classOgre_1_1NodeAnimationTrack.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1NodeAnimationTrack_1_1Splines.html">Ogre::NodeAnimationTrack::Splines</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexAnimationTrack.html">Ogre::VertexAnimationTrack</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialised <a class="el" href="classOgre_1_1AnimationTrack.html" title="A &#39;track&#39; in an animation sequence, i.e.">AnimationTrack</a> for dealing with changing vertex position information.  <a href="classOgre_1_1VertexAnimationTrack.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Animation.html#ga9046e6e0d12c46c57a9056987e9d158e">Ogre::VertexAnimationType</a> { <a class="el" href="group__Animation.html#gga9046e6e0d12c46c57a9056987e9d158eab1a15dd49cf588c9b4d29e96511dc91a">Ogre::VAT_NONE</a> =  0, 
<a class="el" href="group__Animation.html#gga9046e6e0d12c46c57a9056987e9d158ea16f039e4ae5cfb19ecd7cd41be4f93cd">Ogre::VAT_MORPH</a> =  1, 
<a class="el" href="group__Animation.html#gga9046e6e0d12c46c57a9056987e9d158ea66715a5b810eee81efa1d964700b3d30">Ogre::VAT_POSE</a> =  2
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of vertex animation.  <a href="group__Animation.html#ga9046e6e0d12c46c57a9056987e9d158e">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
